<?php

include_once("config.php");

if ($_GET['url']) {
	$_SESSION['snapshot_url'] = $_GET['url'];
}

$username=$_POST['username'];
$password=$_POST['password'];
$check=array($username,$password);


$go=validatehack($check);

if ($go==1)
{

	if ($_POST['username'] && $_POST['password']) {
		$template = new ultimate_login_page("template_ultimate_login.html", $_POST['username'], $_POST['password']);
	} else {
		$template = new ultimate_login_form("template_ultimate_login.html", $_GET['expired']);
	}
	$template->erefill=$erefill;
	$template->advanced=$advanced;
	$template->grouplogin=$grouplogin;

	$template->show();

}
else {
  echo "Unauthorized Access";
}




?>